| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::TextureWrapper Class Referencefinal

Wraps a nkGraphics::Texture and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static nkScripts::OutputValue | load (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | unload (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | convertToImage (const nkScripts::DataStack &stack)

## Detailed Description

Wraps a nkGraphics::Texture and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::TextureWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ load()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::TextureWrapper::load | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Texture::load().

local r = t:load() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a bool.

## ◆ unload()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::TextureWrapper::unload | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Texture::unload().

t:unload() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

## ◆ convertToImage()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::TextureWrapper::convertToImage | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Texture::convertToImage().

local i = t:convertToImage(0, 0)

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Textures/TextureWrapper.h